# $Revision: 1.7 $, $Date: 2006/11/26 20:26:21 $
%include	/usr/lib/rpm/macros.php
%define		_class		Gtk2
%define		_subclass	IndexedComboBox
%define		_status		stable
%define		_pearname	Gtk2_IndexedComboBox

Summary:	%{_pearname} - Indexed Gtk2 combo box similar to the HTML select box
Summary(pl):	%{_pearname} - Indeksowane pole Gtk2 typu combo box podobne do pola wyboru HTML
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	1
Epoch:		0
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	fc0a0296cb8eb54815cb446055bbfa00
URL:		http://pear.php.net/package/Gtk2_IndexedComboBox/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(gtk2)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Indexed Gtk2 combo box similar to the HTML select box. Lets you not
only store values as the normal GtkComboBox, but associated key/value
pairs as well. The active key can be easily received with
get_active_key.

In PEAR status of this package is: %{_status}.

%description -l pl
Pakiet ten dostarcza moliwo tworzenia indeksowanego pola Gtk2 typu
combo box podobnego do pola wyboru HTML. Pozwala nie tylko na
przechowywanie wartoci w typowych GtkComboBox, ale take powizania
klucz-warto. Biecy klucz mona w atwy sposb pobra przy uyciu
get_active_key.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Gtk2_IndexedComboBox/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Gtk2/IndexedComboBox.php
%{php_pear_dir}/Gtk2/IndexedComboBox

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/Gtk2_IndexedComboBox

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Gtk2_IndexedComboBox.spec,v $
Revision 1.7  2006/11/26 20:26:21  glen
- 1.0.0-stable

Revision 1.6  2006/11/26 13:33:56  glen
- rel 2: use php(extension) virtuals

Revision 1.5  2006/09/04 09:16:38  adamg
- updated to 0.2.0; R: php-gtk2

Revision 1.4  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.3  2006/04/27 20:07:04  qboosh
- missing dirs

Revision 1.2  2006/04/27 20:04:04  qboosh
- pl fixes, explicit Epoch (used in -tests)

Revision 1.1  2006/04/24 14:25:10  adamg
- new
